<?php 

/*** Acciones ***/

/* Add Google Font */
function introhooks_add_google_font(){
	wp_enqueue_style( 'google-font', 'https://fonts.googleapis.com/css?family=Playfair+Display' );
}
add_action( 'wp_enqueue_scripts', 'introhooks_add_google_font');

/* Add meta description */
function introhooks_add_meta_description(){
	global $post;

	if(is_single() || is_page()){
		echo '<meta type="description" content="'.$post->post_title.'" >';
	}else{
		echo '<meta type="description" content="'.get_bloginfo( 'title' ).'" >';
	}

}
add_action( 'wp_head', 'introhooks_add_meta_description');

/* Remove some menus by page */
/* https://developer.wordpress.org/reference/functions/remove_menu_page/ */
function introhooks_remove_menus(){
   
  //remove_menu_page( 'index.php' );                  //Dashboard
  //remove_menu_page( 'edit.php' );                   //Posts
  //remove_menu_page( 'upload.php' );                 //Media
  //remove_menu_page( 'edit.php?post_type=page' );    //Pages
  //remove_menu_page( 'edit-comments.php' );          //Comments
  //remove_menu_page( 'themes.php' );                 //Appearance
  //remove_menu_page( 'plugins.php' );                //Plugins
  //remove_menu_page( 'users.php' );                  //Users
  //remove_menu_page( 'tools.php' );                  //Tools
  //remove_menu_page( 'options-general.php' );        //Settings
   
}
add_action( 'admin_menu', 'introhooks_remove_menus' );

/*** Filtros ***/

/* Elegir el número de palabras que muestra el exerpt */
function introhooks_excerpt_length($num_words){
	return 10;
}
add_filter( 'excerpt_length', 'introhooks_excerpt_length' );

/* Filtrar títulos para una categoría */
function introhooks_titulo_novedad($title, $post_id){
	if(!is_admin() && in_category( 'novedad', $post_id )){
		$title .= ' [Novedad]';
	}
	return $title;
}
add_filter( 'the_title', 'introhooks_titulo_novedad', 10, 2 );

/* Añadir la firma al final de los artículos */
function introhooks_firmar_articulos($content){
	if (is_single()) {
		$content .= '<div class="firma">Creado por <a href="https://twitter.com/DavidPeralvarez" target="_blank">@DavidPeralvarez</a>.</div>';
	}
	return $content;
}
add_filter( 'the_content', 'introhooks_firmar_articulos');

/* Filtro de insultos anti haters y trolls */
function introhooks_filtro_insultos($comment_data){
	$insultos = array("worpress", "insulto2", "insulto3", "insulto4");
	$reemplazos = array("WordPress", "primor", "maravilloso", "wonderful");
	$comment_data['comment_content'] = str_replace($insultos, $reemplazos, $comment_data['comment_content']);
	return $comment_data;
}
add_filter( 'preprocess_comment', 'introhooks_filtro_insultos' );
?>